#! /usr/bin/env python
"""Dump the DB sorted by date

This file is a part of XSetBg.

"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2006-2012 PhiloSoft Design"
__license__ = "GNU GPL"

import os, shelve
from operator import itemgetter

xsetbg_dir = os.path.join(os.environ["HOME"], "lib", "xsetbg")
os.chdir(xsetbg_dir)

global_db_name = "xsetbg.db"

global_db = shelve.open(global_db_name, flag='r')
for key, value in sorted(global_db.items(), key=itemgetter(1), reverse=1):
   if key.startswith('/'):
      print value, key
global_db.close()
